# github_score

GitHub Score Formula:
$$rank = 1 - \frac{1}{W} \sum_{i=1}^{n} w_i \cdot f_i \left( \frac{x_i}{m_i} \right)$$
Where:
-   $W$ is the total weight
-   $w_i$ is the weight of the $i$-th parameter
-   $f_i$ is the score function for the $i$-th parameter (`exponential_cdf` or `log_normal_cdf`)
-   $x_i$ is the actual value of the $i$-th parameter
-   $m_i$ is the median of the $i$-th parameter

Calculate the total score (`rank`) using this formula, and then determine the user's level based on the `rank` value.

Weights for parameters:
- (`COMMITS_WEIGHT`, `PRS_WEIGHT`, `ISSUES_WEIGHT`, `REVIEWS_WEIGHT`, `STARS_WEIGHT`, `FOLLOWERS_WEIGHT`) are 2, 3, 1, 1, 4, 1 respectively.


https://github-readme-stats.vercel.app/api?username=jianboy&hide_title=true&hide_border=true&show_icons=true&include_all_commits=true&count_private=true&line_height=21&text_color=000&icon_color=000&bg_color=0,ea6161,ffc64d,fffc4d,52fa5a&theme=graywhite

## Usage

modify index.js to yourself, then run:
```
node index.js
```

## License

## Reference

- [anuraghazra/github-readme-stats](https://github.com/anuraghazra/github-readme-stats/blob/master/src/calculateRank.js) rank.js


